SDL_UpdateWindowSurface(3)

NAME
SDL_UpdateWindowSurface - Copy the window surface to the screen.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_UpdateWindowSurface(SDL_Window *window);

DESCRIPTION
This is the function you use to reflect any changes to the surface on the screen.

This function is equivalent to the SDL 1.2 API SDL_Flip ().

FUNCTION PARAMETERS

window
    the window to update.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetWindowSurface(3), •(3), SDL_UpdateWindowSurfaceRects(3)